edu.wpi.first.wpilibj

## Enum I2C.Port

- java.lang.Object
- - java.lang.Enum<I2C.Port>
  - - edu.wpi.first.wpilibj.I2C.Port

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<I2C.Port>
  Enclosing class:
    I2C

      public static enum I2C.Port
      extends java.lang.Enum<I2C.Port>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `kMXP`
    `kOnboard`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `value`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static I2C.Port` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static I2C.Port[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### kOnboard

          public static final I2C.Port kOnboard

    - #### kMXP

          public static final I2C.Port kMXP

  - ### Field Detail

    - #### value

          public final int value

  - ### Method Detail

    - #### values

          public static I2C.Port[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (I2C.Port c : I2C.Port.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static I2C.Port valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null